![KerbalismBanner]

### Welcome to Kerbalism

***Hundreds of Kerbals were killed in the making of this mod.***

Kerbalism is a mod for Kerbal Space Program that alters the game to add life support, radiation, failures and an entirely new way of doing science.

### Frequently Asked Questions: [FAQ]

## Current version: 3.13

**What's new** : [New and Noteworthy]   
**Download** : **[Github releases]** - **[CKAN]**  
**Docs & support** : **[Github wiki]** - **[Discord]** - [FAQ] - [Github issues] - [KSP forums thread]  
**License** : [Unlicense] (public domain)  
**KSP version** : 1.8.x to 1.11.x  
**Requires** : [Module Manager], [CommunityResourcePack], [HarmonyKSP]  
**[Mod compatibility]** - [Changelog] - [Dev Builds]

## Download and installation

**Download on [Github releases] or use [CKAN]** 

Two packages are required :
- **Kerbalism** is the core plugin, always required.
- **KerbalismConfig** is the default configuration pack.\
  It can be be replaced by other packs distributed elsewhere.

**Requirements**

- [Module Manager] : must be installed in GameData
- [CommunityResourcePack] : must be installed in GameData
- [HarmonyKSP] : must be installed in GameData

**Third-party configuration packs**

Make sure to install exactly one configuration pack only.\
Don't combine packs unless there is explicit instructions to do so.
- [ROKerbalism](https://github.com/Standecco/ROKerbalism) for Realism Overhaul / RP-1 by standecco
- [SIMPLEX Living](https://spacedock.info/mod/2067) by theJesuit
- [KerbalismScienceOnly](https://github.com/Kerbalism/KerbalismScienceOnly/releases) for Kerbalism with the science feature only

**Installation checklist** for the "GameData" folder required content : 

- `000_Harmony` (folder)
- `CommunityResourcePack` (folder)
- `Kerbalism` (folder)
- `KerbalismConfig` (folder, can be replaced by a third-party config pack)
- `ModuleManager.X.X.X.dll` (file)

## Mod compatibility and support

Checking the **[mod compatibility]** page is **mandatory before installing Kerbalism on a heavily modded game**.

Kerbalism does very custom stuff. This can break other mods. For a lot of mods that breaks or need balancing, we provide support code and configuration patches. However some mods are incompatible because there is too much feature overlap or support is too complex to implement.

## Documentation, help and bug-reporting

- **Tutorials and documentation** are available at the **[Github wiki]**

- Need **help** ?

  Ask on **[Discord]** or in the **[KSP forums thread]**\
  Also see [this short YouTube video](https://www.youtube.com/watch?v=eW9pW_839sw) about useful UI tips.

- You **found a bug** ?
  - Maybe it's related to another mod ? Check the [Mod Compatibility] page.
  - Maybe it's a known issue ? Check the [GitHub issues] and ask on the [official Discord].

- You want to **report a bug** ?
  - Reproduce it consistently, provide us with screenshots and the `KSP.log`, `modulemanager.configcache` and `persistent.sfs` files.
  - Report it on [Github issues] (preferred) or in the [KSP forums thread] (we don't go there often).

- You want to **contribute** or add support for your mod ?
  - Check the technical guide on the wiki
  - Pull requests are welcome, especially for mod support configs. For code contributions, it is recommended to talk to us on [Discord] before engaging anything.
  - Read the [contributing] documentation
  - To build the plugin from the source code, read the [BuildSystem] documentation

## Disclaimer and license

This mod is released under the [Unlicense], which mean it's in the public domain.

It includes [MiniAVC]. If you opt-in, it will use the Internet to check whether there is a new version available. Data is only read from the Internet and no personal information is sent. For more control, download the full [KSP-AVC Plugin].


[Github releases]: https://github.com/Kerbalism/Kerbalism/releases
[Github wiki]: https://github.com/Kerbalism/Kerbalism/wiki
[GitHub issues]: https://github.com/Kerbalism/Kerbalism/issues
[Dev Builds]: https://github.com/Kerbalism/DevBuilds/releases
[Mod Compatibility]: https://github.com/Kerbalism/Kerbalism/wiki/Home-~-Mod-Support
[Changelog]: https://github.com/Kerbalism/Kerbalism/blob/master/CHANGELOG.md
[Contributing]: https://github.com/Kerbalism/Kerbalism/blob/master/CONTRIBUTING.md
[BuildSystem]: https://github.com/Kerbalism/Kerbalism/blob/master/BuildSystem/README.MD
[System/API.cs]: https://github.com/Kerbalism/Kerbalism/blob/master/src/System/API.cs
[KSP forums thread]: https://forum.kerbalspaceprogram.com/index.php?/topic/190382-150-181-kerbalism-32/
[Discord]: https://discord.gg/3JAE2JE

[Module Manager]: https://ksp.sarbian.com/jenkins/job/ModuleManager/lastStableBuild/
[CommunityResourcePack]: https://github.com/BobPalmer/CommunityResourcePack/releases
[HarmonyKSP]: https://github.com/KSPModdingLibs/HarmonyKSP/releases
[MiniAVC]: https://ksp.cybutek.net/miniavc/Documents/README.htm
[KSP-AVC Plugin]: https://forum.kerbalspaceprogram.com/index.php?/topic/72169-13-12-ksp-avc-add-on-version-checker-plugin-1162-miniavc-ksp-avc-online-2016-10-13/
[CKAN]: https://forum.kerbalspaceprogram.com/index.php?/topic/154922-ckan-the-comprehensive-kerbal-archive-network-v1264-orion/
[Unlicense]: https://github.com/Kerbalism/Kerbalism/blob/master/LICENSE

[KerbalismBanner]: https://github.com/Kerbalism/Kerbalism/raw/master/misc/img/banner.png

[New and Noteworthy]: https://github.com/Kerbalism/Kerbalism/wiki/New-And-Noteworthy
[FAQ]: https://github.com/Kerbalism/Kerbalism/wiki/FAQ
